Creates reversal (credit) bills for specified bills
DEPRECATED (V202510): This endpoint is obsolete. Use the V202510 ReverseBillsWithMultipleOpenBatchOptions endpoint instead.
Creates new bills with negated amounts to reverse the original bills. Optional batch settings control
the destination batch for reversal bills.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
BillReversalRequest
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batchSettings | BatchCreate | ||||||||||||||||||||||||||||||||||
|
BatchCreate properties
|
|||||||||||||||||||||||||||||||||||
| billIds | Bill ids to reverse Required Cannot be Empty | integer[] | |||||||||||||||||||||||||||||||||
Example Request Body
{ "batchSettings": { "accountPeriodNumber": 1, "accountPeriodYear": 1, "batchCode": "string", "closeExistingBatch": false, "controlCode": "string", "dueDate": "2026-06-29", "invoiceNumber": "string", "nextReading": "2026-06-29", "note": "string", "statementDate": "2026-06-29"
}, "billIds": [
1
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UpdateResult
| Property | Description | Type |
|---|---|---|
| selected | The total number of items that were targeted by the bulk operation Required (defined) | integer (int32) |
| updated | The number of items that were actually modified (excludes items that already matched the target state) Required (defined) | integer (int32) |
Example Response
{ "selected": 1, "updated": 1
}